C++ internal error 122 (Was: Re: Long branches with egcs 2.91.66 on LinuxPPC with -O2)

Geoff Keating geoffk@geoffk.org
Fri Oct 27 10:26:00 GMT 2000


I believe that this bug is specific to that LinuxPPC release, that is
it wasn't in stock egcs 1.1.x, and it's not in current GCC.  I
recommend you upgrade to a later compiler, perhaps the one in LinuxPPC
2000 will work for you.

With current GCC, your file produces:

/opt/qt2/include/qgarray.h: At global scope:
/opt/qt2/include/qgarray.h:108: syntax error before ':' token
/opt/qt2/include/qgarray.h:113: ISO C++ forbids declaration of `index' with no 
   type

followed by many other error messages, then:

/opt/qt2/include/qmap.h: In member function `int QMapIterator<K, T>::dec()':
/opt/qt2/include/qmap.h:140: parse error before ';' token
/opt/qt2/include/qmap.h:143: Internal error #122.
/opt/qt2/include/qmap.h:143: Internal compiler error in , at cp/decl.c:14271
   Please submit a full bug report.

which is also an bug but a less serious one.

-- 
- Geoffrey Keating <geoffk@cygnus.com>


More information about the Gcc-bugs mailing list